- Main Page
- Modules
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# rlog::Mutex Class Reference

Class encapsulating a critical section under Win32 or a mutex under Unix. More...

`#include <Mutex.h>`

List of all members.

## Public Member Functions
void | Lock ()
void | Unlock ()

## Detailed Description

Class encapsulating a critical section under Win32 or a mutex under Unix.

This class should never be used standalone but always passed to Lock, see the example there.

The documentation for this class was generated from the following file:

- Mutex.h